Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class TableRow

    java.lang.Object
      org.apache.poi.hwpf.usermodel.Range
          org.apache.poi.hwpf.usermodel.Paragraph
              org.apache.poi.hwpf.usermodel.TableRow

All Implemented Interfaces:
  java.lang.Cloneable

    public final class TableRow

extends Paragraph

Field Summary

Fields inherited from class org.apache.poi.hwpf.usermodel.Paragraph
`_istd, _papx, _props, SPRM_ANLD, SPRM_AUTOSPACEDE, SPRM_AUTOSPACEDN, SPRM_BRCBAR, SPRM_BRCBOTTOM, SPRM_BRCL, SPRM_BRCLEFT, SPRM_BRCP, SPRM_BRCRIGHT, SPRM_BRCTOP, SPRM_CHGTABS, SPRM_CHGTABSPAPX, SPRM_CRLF, SPRM_DCS, SPRM_DXAABS, SPRM_DXAFROMTEXT, SPRM_DXALEFT, SPRM_DXALEFT1, SPRM_DXARIGHT, SPRM_DXAWIDTH, SPRM_DYAABS, SPRM_DYAAFTER, SPRM_DYABEFORE, SPRM_DYAFROMTEXT, SPRM_DYALINE, SPRM_FADJUSTRIGHT, SPRM_FBIDI, SPRM_FINTABLE, SPRM_FKEEP, SPRM_FKEEPFOLLOW, SPRM_FKINSOKU, SPRM_FLOCKED, SPRM_FNOAUTOHYPH, SPRM_FNOLINENUMB, SPRM_FNUMRMLNS, SPRM_FOVERFLOWPUNCT, SPRM_FPAGEBREAKBEFORE, SPRM_FRAMETEXTFLOW, SPRM_FSIDEBYSIDE, SPRM_FTOPLINEPUNCT, SPRM_FTTP, SPRM_FWIDOWCONTROL, SPRM_FWORDWRAP, SPRM_ILFO, SPRM_ILVL, SPRM_JC, SPRM_NUMRM, SPRM_OUTLVL, SPRM_PC, SPRM_PROPRMARK, SPRM_RULER, SPRM_SHD, SPRM_USEPGSUSETTINGS, SPRM_WALIGNFONT, SPRM_WHEIGHTABS, SPRM_WR`

Fields inherited from class org.apache.poi.hwpf.usermodel.Range
`_characters, _charEnd, _charRangeFound, _charStart, _doc, _end, _paragraphs, _parEnd, _parRangeFound, _parStart, _sectionEnd, _sections, _sectionStart, _start, _text, _textEnd, _textRangeFound, _textStart, TYPE_CHARACTER, TYPE_LISTENTRY, TYPE_PARAGRAPH, TYPE_SECTION, TYPE_TABLE, TYPE_TEXT, TYPE_UNDEFINED`

Constructor Summary
`TableRow(int startIdx, int endIdx, Table parent, int levelNum)`

Method Summary
`boolean` | `cantSplit()`
`BorderCode` | `getBarBorder()`
`BorderCode` | `getBottomBorder()`
`TableCell` | `getCell(int index)`
`int` | `getGapHalf()`
`BorderCode` | `getHorizontalBorder()`
`BorderCode` | `getLeftBorder()`
`BorderCode` | `getRightBorder()`
`int` | `getRowHeight()`
`int` | `getRowJustification()`
`BorderCode` | `getTopBorder()`
`BorderCode` | `getVerticalBorder()`
`boolean` | `isTableHeader()`
`int` | `numCells()`
`void` | `setCantSplit(boolean cantSplit)`
`void` | `setGapHalf(int dxaGapHalf)`
`void` | `setRowHeight(int dyaRowHeight)`
`void` | `setRowJustification(int jc)`
`void` | `setTableHeader(boolean tableHeader)`

Methods inherited from class org.apache.poi.hwpf.usermodel.Paragraph
`clone, cloneProperties, getDropCap, getFirstLineIndent, getFontAlignment, getIlfo, getIlvl, getIndentFromLeft, getIndentFromRight, getJustification, getLineSpacing, getLvl, getShading, getSpacingAfter, getSpacingBefore, getStyleIndex, getTableLevel, isAutoHyphenated, isBackward, isEmbeddedCellMark, isInTable, isKinsoku, isLineNotNumbered, isSideBySide, isTableRowEnd, isVertical, isWidowControlled, isWordWrapped, keepOnPage, keepWithNext, pageBreakBefore, setAutoHyphenated, setBackward, setBarBorder, setBottomBorder, setDropCap, setFirstLineIndent, setFontAlignment, setIndentFromLeft, setIndentFromRight, setJustification, setKeepOnPage, setKeepWithNext, setKinsoku, setLeftBorder, setLineNotNumbered, setLineSpacing, setPageBreakBefore, setRightBorder, setShading, setSideBySide, setSpacingAfter, setSpacingBefore, setTopBorder, setVertical, setWidowControl, setWordWrapped, type`

Methods inherited from class org.apache.poi.hwpf.usermodel.Range
`adjustFIB, delete, getCharacterRun, getDocument, getEndOffset, getParagraph, getSection, getStartOffset, getTable, initAll, insertAfter, insertAfter, insertAfter, insertAfter, insertAfter, insertBefore, insertBefore, insertBefore, insertBefore, insertBefore, insertBefore, numCharacterRuns, numParagraphs, numSections, replaceText, replaceText, stripFields, text, usesUnicode`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableRow

    public TableRow(int startIdx,
                    int endIdx,
                    Table parent,
                    int levelNum)

Method Detail

### getRowJustification

    public int getRowJustification()

### setRowJustification

    public void setRowJustification(int jc)

### getGapHalf

    public int getGapHalf()

### setGapHalf

    public void setGapHalf(int dxaGapHalf)

### getRowHeight

    public int getRowHeight()

### setRowHeight

    public void setRowHeight(int dyaRowHeight)

### cantSplit

    public boolean cantSplit()

### setCantSplit

    public void setCantSplit(boolean cantSplit)

### isTableHeader

    public boolean isTableHeader()

### setTableHeader

    public void setTableHeader(boolean tableHeader)

### numCells

    public int numCells()

### getCell

    public TableCell getCell(int index)

### getTopBorder

    public BorderCode getTopBorder()

  Overrides:
    `getTopBorder` in class `Paragraph`

### getBottomBorder

    public BorderCode getBottomBorder()

  Overrides:
    `getBottomBorder` in class `Paragraph`

### getLeftBorder

    public BorderCode getLeftBorder()

  Overrides:
    `getLeftBorder` in class `Paragraph`

### getRightBorder

    public BorderCode getRightBorder()

  Overrides:
    `getRightBorder` in class `Paragraph`

### getHorizontalBorder

    public BorderCode getHorizontalBorder()

### getVerticalBorder

    public BorderCode getVerticalBorder()

### getBarBorder

    public BorderCode getBarBorder()

  Overrides:
    `getBarBorder` in class `Paragraph`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.